local _G = getfenv(0)

function Skinner:Badapples()
	if not self.db.profile.FriendsFrame then return end

-->>--	BadapplesFrame
	self:keepRegions(BadapplesFriendsFrameTab5, {7,8}) -- N.B. these regions are text
	self:moveObject(BadapplesFriendsFrameTab5, "+", 9, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(BadapplesFriendsFrameTab5, nil ,0)
	else self:applySkin(BadapplesFriendsFrameTab5) end
	-- move the 1st tab so they all fit
	self:moveObject(FriendsFrameTab1, "-", 6, nil, nil)  
	
	self:keepRegions(BadapplesFriendsFrameToggleTab3, {7,8}) -- N.B. these regions are text
	BadapplesFriendsFrameToggleTab3:SetHeight(BadapplesFriendsFrameToggleTab3:GetHeight() - 5)
	self:moveObject(_G["BadapplesFriendsFrameToggleTab3Text"], "-", 2, "+", 3)
	self:moveObject(_G["BadapplesFriendsFrameToggleTab3HighlightTexture"], "-", 2, "+", 5)
	self:applySkin(BadapplesFriendsFrameToggleTab3)
	self:keepRegions(BadapplesIgnoreFrameToggleTab3, {7,8}) -- N.B. these regions are text
	BadapplesIgnoreFrameToggleTab3:SetHeight(BadapplesIgnoreFrameToggleTab3:GetHeight() - 5)
	self:moveObject(_G["BadapplesIgnoreFrameToggleTab3Text"], "-", 2, "+", 3)
	self:moveObject(_G["BadapplesIgnoreFrameToggleTab3HighlightTexture"], "-", 2, "+", 5)
	self:applySkin(BadapplesIgnoreFrameToggleTab3)
	for i = 1, 3 do
		local togTab = _G["BadapplesFrameToggleTab"..i]
		self:keepRegions(togTab, {7, 8}) -- N.B. regions 7 & 8 are text/scripts
		togTab:SetHeight(togTab:GetHeight() - 5)
		if i == 1 then self:moveObject(togTab, nil, nil, "+", 3) end 
		self:moveObject(_G[togTab:GetName().."Text"], "-", 2, "+", 3)
		self:moveObject(_G[togTab:GetName().."HighlightTexture"], "-", 2, "+", 5)
		self:applySkin(togTab)
	end
-->-- Side Tab
	self:removeRegions(BadapplesFriendsFrameSideTab1, {1}) -- N.B. other regions are icon and highlight
	BadapplesFriendsFrameSideTab1:SetWidth(BadapplesFriendsFrameSideTab1:GetWidth() * 1.25)
	BadapplesFriendsFrameSideTab1:SetHeight(BadapplesFriendsFrameSideTab1:GetHeight() * 1.25)
	self:moveObject(BadapplesFriendsFrameSideTab1, "+", 29, nil, nil)
	self:applySkin(BadapplesFriendsFrameSideTab1)
	
	self:keepRegions(BadapplesListScrollFrame, {})
	self:moveObject(BadapplesListScrollFrame, "+", 35, "+", 10)
	self:skinScrollBar(BadapplesListScrollFrame)
	self:keepRegions(BadapplesDropDown, {4})
	self:moveObject(BadapplesFrameEditBox, "+", 10, "-", 76)
	self:skinEditBox(BadapplesFrameEditBox, {})
	self:keepRegions(BadapplesFrameNameColumnHeader, {4}) -- N.B. these regions are text
	self:moveObject(BadapplesFrameNameColumnHeader, nil, nil, "+", 10)
	self:applySkin(BadapplesFrameNameColumnHeader)
	self:keepRegions(BadapplesFrameReasonColumnHeader, {4}) -- N.B. these regions are text
	self:applySkin(BadapplesFrameReasonColumnHeader)
	self:moveObject(BadapplesFrameTotals, nil, nil, "-", 80)
	self:moveObject(BadapplesFrameRemoveButton, "+", 30, "-", 76)
	self:keepRegions(BadapplesFrame, {1})

end
